Skip to content
Browse files

Merge branch 'release-0.10.0-alpha6'

  • Loading branch information...
2 parents fc07908 + 5fad3ed commit 4d5ce55a093e0a5839cd273d9367482d3b500498 @trq trq committed Jan 3, 2013
View
2 Phakefile
@@ -36,7 +36,7 @@ group('dev', function() {
desc('Sniff code for PSR-1/2');
task('sniff', function ($args) {
chdir(realpath(__DIR__));
- system('vendor/bin/phpcs -a --standard=PSR2 lib/');
+ system('vendor/bin/phpcs -a --ignore=/Tests/* --standard=PSR2 lib/');
});
desc('Build the Phar archive');
View
10 lib/Proem/Bootstrap/composer.json
@@ -18,11 +18,11 @@
},
"require": {
"php": ">=5.4.0",
- "proem-components/service": "0.10.0-alpha5",
- "proem-components/signal": "0.10.0-alpha5",
- "proem-components/filter": "0.10.0-alpha5",
- "proem-components/routing": "0.10.0-alpha5",
- "proem-components/http": "0.10.0-alpha5"
+ "proem-components/service": "0.10.0-alpha6",
+ "proem-components/signal": "0.10.0-alpha6",
+ "proem-components/filter": "0.10.0-alpha6",
+ "proem-components/routing": "0.10.0-alpha6",
+ "proem-components/http": "0.10.0-alpha6"
},
"require-dev": {
"phpunit/phpunit": "3.7.*",
View
2 lib/Proem/Dispatch/composer.json
@@ -18,7 +18,7 @@
},
"require": {
"php": ">=5.4.0",
- "proem-components/service": "0.10.0-alpha5",
+ "proem-components/service": "0.10.0-alpha6",
"symfony/http-foundation": "2.2.*",
"symfony/http-kernel": "2.2.*"
},
View
4 lib/Proem/Filter/composer.json
@@ -18,8 +18,8 @@
},
"require": {
"php": ">=5.4.0",
- "proem-components/service": "0.10.0-alpha5",
- "proem-components/util-structure": "0.10.0-alpha5"
+ "proem-components/service": "0.10.0-alpha6",
+ "proem-components/util-structure": "0.10.0-alpha6"
},
"require-dev": {
"phpunit/phpunit": "3.7.*",
View
2 lib/Proem/Proem.php
@@ -45,7 +45,7 @@ class Proem
/**
* Store the framework version.
*/
- const VERSION = '0.10.0-alpha5';
+ const VERSION = '0.10.0-alpha6';
/**
* Store the asset manager.
View
44 lib/Proem/Routing/Tests/RouteAbstractTest.php
@@ -1,44 +0,0 @@
-<?php
-
-/**
- * The MIT License
- *
- * Copyright (c) 2010 - 2013 Tony R Quilkey <trq@proemframework.org>
- *
- * Permission is hereby granted, free of charge, to any person obtaining a copy
- * of this software and associated documentation files (the "Software"), to deal
- * in the Software without restriction, including without limitation the rights
- * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
- * copies of the Software, and to permit persons to whom the Software is
- * furnished to do so, subject to the following conditions:
- *
- * The above copyright notice and this permission notice shall be included in
- * all copies or substantial portions of the Software.
- *
- * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
- * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
- * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
- * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
- * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
- * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
- * THE SOFTWARE.
- */
-
-namespace Proem\Routing\Tests;
-
-use \Mockery as m;
-
-class RouteAbstractTest extends \PHPUnit_Framework_TestCase
-{
- public function testCanInstantiate()
- {
- $this->assertInstanceOf('Proem\Routing\RouteInterface', m::mock('Proem\Routing\RouteAbstract'));
- }
-
- public function testCanProcessCallback()
- {
- $route = m::mock('Proem\Routing\RouteAbstract[process]', [['callback' => function() { return true; }]]);
- $this->assertTrue($route->hasCallback());
- $this->assertTrue(call_user_func($route->getCallback()));
- }
-}
View
2 lib/Proem/Routing/composer.json
@@ -19,7 +19,7 @@
"require": {
"php": ">=5.4.0",
"ext-pcre": "*",
- "proem-components/http": "0.10.0-alpha5"
+ "proem-components/http": "0.10.0-alpha6"
},
"require-dev": {
"phpunit/phpunit": "3.7.*",
View
2 lib/Proem/Service/composer.json
@@ -19,7 +19,7 @@
"require": {
"php": ">=5.4.0",
"ext-reflection": "*",
- "proem-components/util-structure": "0.10.0-alpha5"
+ "proem-components/util-structure": "0.10.0-alpha6"
},
"require-dev": {
"phpunit/phpunit": "3.7.*",
View
2 lib/Proem/Signal/composer.json
@@ -18,7 +18,7 @@
},
"require": {
"php": ">=5.4.0",
- "proem-components/util-structure": "0.10.0-alpha5"
+ "proem-components/util-structure": "0.10.0-alpha6"
},
"require-dev": {
"phpunit/phpunit": "3.7.*"

0 comments on commit 4d5ce55

Please sign in to comment.
Something went wrong with that request. Please try again.